=== debian/changelog ===
ros-melodic-rc-common-msgs (0.5.3-1bionic) bionic; urgency=high

  * CI changes only: also build for focal/noetic

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 17 Aug 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.2-1bionic) bionic; urgency=high

  * add TIMEOUT_REACHED

 -- Felix Ruess <felix.ruess@roboception.de>  Mon, 13 Jul 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.1-1bionic) bionic; urgency=high

  * add reserved constansts -3, 11 and 999

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 28 Jun 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.5.0-1bionic) bionic; urgency=high

  * Added array key/value list for extra data to CameraParam message and removed 'noise' field (will be provided in extra_data)

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 02 Apr 2020 22:00:00 -0000

ros-melodic-rc-common-msgs (0.4.1-1bionic) bionic; urgency=high

  * add CAPACITY_EXCEEDED and CAPACITY_REACHED to ReturnCodeConstants

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 05 Mar 2020 23:00:00 -0000

ros-melodic-rc-common-msgs (0.4.0-1bionic) bionic; urgency=high

  * Renamed CameraParams to CameraParam for consistency with internal message

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-rc-common-msgs (0.3.0-1bionic) bionic; urgency=high

  * add CameraParam msg

 -- Felix Ruess <felix.ruess@roboception.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-melodic-rc-common-msgs (0.2.1-1bionic) bionic; urgency=high

  * add KeyValue msg

 -- Felix Ruess <felix.ruess@roboception.de>  Thu, 25 Apr 2019 22:00:00 -0000

ros-melodic-rc-common-msgs (0.2.0-1bionic) bionic; urgency=high

  * add INTERNAL_ERROR and IO_ERROR as constants to return codes
  * improve constants description

 -- Felix Ruess <felix.ruess@roboception.de>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-rc-common-msgs (0.1.0-1bionic) bionic; urgency=high

  * add ReturnCode with separate constants definitions
  * add Trigger service using ReturnCode
  * Initial release

 -- Felix Ruess <felix.ruess@roboception.de>  Sun, 10 Mar 2019 23:00:00 -0000
