=== debian/control ===
Source: ros-melodic-rc-common-msgs
Section: misc
Priority: optional
Maintainer: Felix Ruess <felix.ruess@roboception.de>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: https://wiki.ros.org/rc_common_msgs
Standards-Version: 3.9.2

Package: ros-melodic-rc-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Common msg and srv definitions used by Roboception's ROS packages
